
module.exports = {
	async check(conn, hash) {
		this.hash = hash;
		const resultSet = await conn.execQuery('CALL myBasket_check');

		const status = resultSet.fetchValue();
		if (!status) return;

		const isOk = status == 'UPDATED' || status == 'OK';

		if (status == 'UPDATED')
			Htk.Toast.showWarning(_('Order items updated'));

		if (!isOk)
			this.hash.setAll({form: 'ecomerce/checkout'});

		return isOk;
	}
};

