import { boot } from 'quasar/wrappers';
import { useAppStore } from 'stores/app';
import { useUserStore } from 'stores/user';

export default boot(({ app }) => {
    const props = app.config.globalProperties;
    const userStore = useUserStore();
    props.$app = useAppStore();
    props.$user = userStore.user;
});
