// This is just an example,
// so you can safely delete all default props below

export default {
    failed: 'Action failed',
    success: 'Action was successful',
    internalServerError: 'Internal server error',
    somethingWentWrong: 'Something went wrong',
    loginFailed: 'Login failed',
    authenticationRequired: 'Authentication required',
    notFound: 'Not found',
    today: 'Today',
    yesterday: 'Yesterday',
    tomorrow: 'Tomorrow',
    language: 'Language',
    langs: {
        en: 'English',
        es: 'Spanish',
        ca: 'Catalan',
        fr: 'French',
        mn: 'Russian',
        pt: 'Portuguese'
    },
    date: {
        days: [
            'Sunday',
            'Monday',
            'Tuesday',
            'Wednesday',
            'Thursday',
            'Friday',
            'Saturday'
        ],
        daysShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
        months: [
            'January',
            'February',
            'March',
            'April',
            'May',
            'June',
            'July',
            'August',
            'September',
            'October',
            'November',
            'December'
        ],
        monthsShort: [
            'Jan',
            'Feb',
            'Mar',
            'Apr',
            'May',
            'Jun',
            'Jul',
            'Aug',
            'Sep',
            'Oct',
            'Nov',
            'Dec'
        ]
    },

    // Sections titles
    titles: {
        Home: 'Home',
        Orders: 'Orders',
        Ticket: 'Detalle del pedido',
        'Pending orders': 'Pending orders',
        'Last orders': 'Confirmed orders',
        Invoices: 'Invoices',
        Basket: 'Basket',
        Catalog: 'Catalog',
        Administration: 'Administration',
        'Control panel': 'Control panel',
        Users: 'Users',
        Connections: 'Connections',
        Visits: 'Visits',
        News: 'News management',
        Photos: 'Images',
        Images: 'Images',
        Items: 'Items',
        Agencies: 'Bundles by agency',
        Reports: 'Reports',
        Configuration: 'Configuration',
        Shelves: 'Shelves',
        Account: 'Configuration',
        Addresses: 'Addresses',
        OrderSummary: 'Order summary',
        Checkout: 'Configure order',
        'Address details': 'Configuration',
        'Admin news details': 'Add or edit new',
        'Access log': 'Access log'
    },
    menuTitles: {
        Home: 'Home',
        Orders: 'Orders',
        Basket: 'Basket',
        Catalog: 'Catalog',
        Administration: 'Administration',
        Agencies: 'Agencies',
        Reports: 'Reports',
        Shelves: 'Shelves',
        Configuration: 'Configuration',
        'Pending orders': 'Pending',
        'Last orders': 'Confirmed',
        Invoices: 'Invoices',
        'Control panel': 'Control panel',
        Users: 'Users',
        Connections: 'Connections',
        Visits: 'Visits',
        News: 'News',
        Photos: 'Images',
        Items: 'Items',
        Account: 'Account',
        Addresses: 'Addresses'
    },

    //
    orderLoadedIntoBasket: 'Order loaded into basket!',
    loadAnOrder: 'Please load a pending order to the cart or start a new one',
    at: 'at',
    back: 'Back',
    next: 'Next',
    remove: 'Remove',
    agency: 'Agency',
    noData: 'No data',
    confirm: 'Confirm',
    delete: 'Delete',
    confirmDelete: 'Are you sure you want to delete the line?',
    emptyList: 'Empty list',

    orders: 'Orders',
    order: 'Pending order',
    ticket: 'Order',
    conditions: 'Conditions',
    about: 'About us',
    admin: 'Administration',
    panel: 'Control panel',
    users: 'Users',
    connections: 'Connections',
    visits: 'Visits',
    news: 'News',
    newEdit: 'Edit new',
    images: 'Images',
    items: 'Items',
    config: 'Configuration',
    user: 'User',
    addresses: 'Addresses',
    addressEdit: 'Edit address',
    dataSaved: 'Data saved',
    save: 'Save',
    cancel: 'Cancel',
    of: 'of',
    loginAsGuest: 'Login as guest',
    haveForgottenPassword: 'Have you forgotten your password?',
    signUp: 'Sign up',
    notACustomerYet: 'Not a customer yet?',
    loginPhone: '+34 963 242 100',
    loginMail: "{'info'}{'@'}{'verdnatura.es'}",
    remindMe: 'Remember me',
    password: 'Password',
    modify: 'Modify',
    shoppingCart: 'Shopping cart',
    available: 'Available',
    minQuantity: 'Minimum quantity',
    introduceSearchTerm: 'Enter a search term',
    noOrdersFound: 'No orders found',
    // Image related translations
    'Cant lock cache': 'The cache could not be blocked',
    'Bad file format': 'Unrecognized file format',
    'File not choosed': 'You have not selected any file',
    'Permission denied': 'You are not allowed to upload the file',
    'File upload error':
        'Failed to upload the file, check that size is not too large',
    'File save error': 'Failed to save the file: %s',
    'File size error': 'The file must be no longer than %.2f MB',
    'Bad file name':
        "The file name must contain only lowercase letters, digits or the '_' character",
    'Bad collection name': 'Invalid collection name',
    'Collection not exists': 'Collection does not exist',
    'Unreferenced file': 'The file is not referenced by the database',
    'Cannot update matching id': 'Cannot update matching id',
    'Com error': 'Error communicating with the server',
    'Image open error': 'Error opening the image file',
    'Operation disabled': 'Operation disabled for security',
    'Image added': 'Image added correctly',
    ErrIniSize: 'File exceeds the upload_max_filesize directive in php.ini',
    ErrFormSize: 'File exceeds the MAX_FILE_SIZE specified in the HTML form',
    ErrPartial: 'File was partially uploaded',
    ErrNoFile: 'No file was uploaded',
    ErrNoTmpDir: 'Missing a temporary folder',
    ErrCantWrite: 'Failed to write file to disk',
    ErrExtension: 'File upload stopped by extension',
    ErrDefault: 'Unknown upload error',
    'Sync complete': 'Synchronization complete',
    // Errors
    errors: {
        statusUnauthorized: 'Access denied',
        tokenConfig: 'Error fetching token config'
    }
};
