<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=no"/>
		<meta name="mobile-web-app-capable" content="yes"/>
		<meta name="content-language" content="<?=$lang?>"/>
		<meta name="theme-color" content="#009688"/>
		<link rel="shortcut icon" href="image/favicon/favicon.ico"/>
		<link rel="icon" type="image/png" href="image/favicon/favicon.png"/>
		<link rel="icon" type="image/svg+xml" href="image/icon.svg" sizes="any"/>
		<link rel="manifest" href="<?=$dir?>/manifest.json"/>
		<?=js("$dir/main")?>
		<?=css("$dir/style")?>
		<title>Production</title>
	</head>
	<body onload="onBodyLoad()">
		<button onclick="onSettingsClick()">
			<img src="image/icon/dark/preferences.svg" alt="Config"/>
		</button>
		<div id="container">
			<div id="child">
				<div id="text">Hi!</div>
				<div id="error"></div>
			</div>
		</div>
	</body>
</html>